## BurnerTrackImageCfg

BurnerTrackImageCfg

## Functions

BurnerTrackImageCfg * | burner_track_image_cfg_new ()
BurnerBurnResult | burner_track_image_cfg_set_source ()
BurnerBurnResult | burner_track_image_cfg_force_format ()
BurnerImageFormat | burner_track_image_cfg_get_forced_format ()

## Types and Values

struct | BurnerTrackImageCfg

## Description

## Functions

### burner_track_image_cfg_new ()

    BurnerTrackImageCfg *
    burner_track_image_cfg_new (void);

Creates a new BurnerTrackImageCfg object.

#### Returns

a BurnerTrackImageCfg object.

### burner_track_image_cfg_set_source ()

    BurnerBurnResult
    burner_track_image_cfg_set_source (BurnerTrackImageCfg *track,
                                       const gchar *uri);

Sets the image uri or path (absolute or relative). `track` will then identify its format and retrieve its size.

#### Parameters

track | a BurnerTrackImageCfg |
uri | a gchar |

#### Returns

a BurnerBurnResult. BURNER_BURN_OK if it is successful.

### burner_track_image_cfg_force_format ()

    BurnerBurnResult
    burner_track_image_cfg_force_format (BurnerTrackImageCfg *track,
                                         BurnerImageFormat format);

This function allows one to prevents the identification of the format of the image. It does not cancel size retrieval. If `format` is BURNER_IMAGE_FORMAT_NONE then the format of the image will be retrieved.

#### Parameters

track | a BurnerTrackImageCfg |
format | a BurnerImageFormat |

#### Returns

a BurnerBurnResult. BURNER_BURN_OK if it is successful.

### burner_track_image_cfg_get_forced_format ()

    BurnerImageFormat
    burner_track_image_cfg_get_forced_format
                                   (BurnerTrackImageCfg *track);

This function returns the BurnerImageFormat that was set for the image. See `burner_track_image_cfg_force_format()`.

#### Parameters

track | a BurnerTrackImageCfg |

#### Returns

a BurnerBurnResult. BURNER_BURN_OK if it is successful.

## Types and Values

### struct BurnerTrackImageCfg

    struct BurnerTrackImageCfg {
    	BurnerTrackImage parent_instance;
    };